package com.wzj.soopin.im.enums;

public enum MessageActionEnum {

    NEW_FOUCS(1,"新的关注"), //新的关注
    SYSTEM_NOTIFY(2, "系统->通知"), // 系统->通知
    SYSTEM_REPORT(3, "系统->举报下架（视频，视频评论） 视频评论"), // 系统->举报下架（视频，视频评论） 视频评论
    SYSTEM_CHECK(4, "系统->审核结果（复审，驳回 ，通过）"), // 系统->审核结果（复审，驳回 ，通过）
    SYSTEM_PUSH(5, "系统->推广类的"), //系统->推广类的
    INTERACTION_COMMENT(6, "互动->评论"), //互动->评论
    INTERACTION_AT(7, "互动->视频评论中的@"), //互动->视频评论中的@
    INTERACTION_LIKE(8, "互动->点赞"), //互动->点赞
    INTERACTION_REPLY(9, "互动->评论回复"), //互动->评论回复
    ORDER_RECHARGE(10, "订单->充值 online"), //订单->充值 online
    ORDER_PAY(11, "订单->订单交易成功通知 online"), //订单->订单交易成功通知 online
    ORDER_REFUND(12, "订单->退款结果通知"), //订单->退款结果通知
    GROUP_NOTIFY_CHECK(13, "群通知->进群申请 online"), //群通知->进群申请 online
    GROUP_NOTIFY_ACCEPT(14, "群通知->进群审核审核通过 online"), // 群通知->进群审核审核通过 online
    GROUP_NOTIFY_FAIL(15, "群通知->进群审核审核拒绝 online"), // 群通知->进群审核审核拒绝 online
    GROUP_NOTIFY_LEAVE_UP(16, "群通知->群升级为达人群通知"), // 群通知->群升级为达人群通知
    GROUP_NOTIFY_LEAVE_DOWN(17, "群通知->群降级为普通群通知"); // 群通知->群降级为普通群通知

    private int code;
    private String account;
    private String desc;

    MessageActionEnum(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public static MessageActionEnum getByCode(int code) {
        for (MessageActionEnum actionEnum : values()) {
            if (actionEnum.getCode() == code) {
                return actionEnum;
            }
        }
        return null;
    }
}
